### Hierarchy

- TokenTransfer

## Index

### Properties

- contract
- states

### Methods

- serialize
- deserialize

## Properties

### contract

contract: string

- Defined in smartcontract/nativevm/token.ts:75

### states

states: State[]

- Defined in smartcontract/nativevm/token.ts:76

## Methods

### serialize

- serialize(): string

- - Defined in smartcontract/nativevm/token.ts:78

  #### Returns string

### Static deserialize

- deserialize(sr: StringReader): TokenTransfer

- - Defined in smartcontract/nativevm/token.ts:60

  #### Parameters

  - ##### sr: StringReader

  #### Returns TokenTransfer

Generated using TypeDoc